Results 1 to 7 of 7

Thread: problem while trying to migrate from ext 2.0.2 to ext 3.0

  1. #1

    Question problem while trying to migrate from ext 2.0.2 to ext 3.0

    Hi to all,

    I'm trying to migrate our application from ext 2.0.2 to ext 3.0. but I have some problems about that.

    first of all I simple changed ext folders so that they show the new version and now I have 2 javascript errors.

    Code:
     
    <link rel="stylesheet" href="/TDRS/js/ext/3.0.0/resources/css/ext-all.css" />            
    <link rel="stylesheet" href="/TDRS/css/search.css" />            
    <script type="text/javascript" src="/TDRS/js/ext/3.0.0/adapter/ext/ext-base.js"></script>
    <script type="text/javascript" src="/TDRS/js/ext/ext-core-3.0/ext-core.js"></script>
    <script type="text/javascript" src="/TDRS/js/ext/3.0.0/ext-all.js"></script>
    
                <script type="text/javascript">
                    if(window.self == window.parent) {
                        window.parent.location.href = "/TDRS/directorySearch/index.gsp";
                    }
     
                    Ext.onReady(function(){
                        // create the Data Store
                        var store = new Ext.data.ArrayStore({ .... 
    OR
                        var store = new Ext.data.Store({....
    1- var store... gives "Object expected" error.
    2- Message: 'Ext.layout' is null or not an object

    how can I solve these?

  2. #2
    Sencha User hendricd's Avatar
    Join Date
    Aug 2007
    Location
    Long Island, NY USA
    Posts
    5,966

    Default

    Remove :
    HTML Code:
    <script type="text/javascript" src="/TDRS/js/ext/ext-core-3.0/ext-core.js"></script>
    ext-all already includes core.
    "be dom-ready..."
    Doug Hendricks

    Maintaining ux: ManagedIFrame, MIF2 (FAQ, Wiki), ux.Media/Flash, AudioEvents, ux.Chart[Fusion,OFC,amChart], ext-basex.js/$JIT, Documentation Site.


    Got Sencha licensing questions? Find out more here.


  3. #3

    Question problem while trying to migrate from ext 2.0.2 to ext 3.0

    Thanks for your reply, now my new page is working with an exception:

    IE 8 renders the page in compatibility view but it works with no problem in firefox.
    Does Ext 3.0 support IE 8 or higher versions?

    Thanks in advance

  4. #4
    Sencha User hendricd's Avatar
    Join Date
    Aug 2007
    Location
    Long Island, NY USA
    Posts
    5,966

    Default

    Yes, IE8 is supported, but you may need to remove/adjust your DOCTYPE for IE8 standards mode.

    I use NO DOCTYPE and this:

    HTML Code:
    <head>
        <meta http-equiv="X-UA-Compatible" content="IE=Edge">
    That meta tag must be the first line in the <head> section.

    IE8 also has a user-setting in options for what mode you want to use per domain.
    "be dom-ready..."
    Doug Hendricks

    Maintaining ux: ManagedIFrame, MIF2 (FAQ, Wiki), ux.Media/Flash, AudioEvents, ux.Chart[Fusion,OFC,amChart], ext-basex.js/$JIT, Documentation Site.


    Got Sencha licensing questions? Find out more here.


  5. #5

    Default problem while trying to migrate from ext 2.0.2 to ext 3.0

    ok, meta tag solved the problem, now IE8 renders my page but this meta tag caused another problem. I'm using lockingGridPanel and now there is a row mismatch problem (not happens in firefox). snapshot is attached.

    ext3_0 - IE8 - locking problem.JPG

    I guess its about the size of the image I put on the rows but this was not happening before putting the meta tag

  6. #6
    Sencha User Condor's Avatar
    Join Date
    Mar 2007
    Location
    The Netherlands
    Posts
    24,246

    Default

    I already mentioned this in another thread:
    The image in the second column is bigger than the default row height. Either make the image smaller or create a css rule that makes the rows of the locked section higher.

  7. #7

    Default problem while trying to migrate from ext 2.0.2 to ext 3.0

    Yes, you are right. I'd solved the problem by resizing the image but the same problem occured again only for IE8 after migrating to ext 3.0.

    This time I followed your second advice and solved the problem again

    Code:
     
    .x-grid3-row {
     cursor: default;
        width:100%;
        height:18px;
    }
    thanks again...

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •